ipod could not be restored error 3914

Discussion in 'iPod touch' started by supersean, Mar 3, 2011.

  1. supersean macrumors member

    Joined:
    Oct 11, 2009
    #1
    i keep on getting this when i try to update my ipod to 4.0 any help
     
  2. supersean, Mar 3, 2011
    Last edited: Mar 3, 2011

    supersean thread starter macrumors member

    Joined:
    Oct 11, 2009
    #2
    anyone and if someone tells me how to get me pass without restoring ill be happy
     
  3. lanulos macrumors regular

    Joined:
    Jun 19, 2010
    #3
    You can't update to iOS 4.0 unless you have SHSH blobs saved for 4.0. If you don't know what those are then you probably don't have them. You can update an iPod Touch 2G or later to iOS 4.2.1. If you have a iPT 1G you can only update to iOS 3.1.3.
     
  4. supersean thread starter macrumors member

    Joined:
    Oct 11, 2009
    #4
    i have a 2g so ill just update to 3.1.3 and jailbreak it mine is none mc so i wont have to jailbreak it everytime right?
     

Share This Page